## GtefApplication GtefApplication — An extension of GtkApplication |

## Functions

GtefApplication * | gtef_application_get_from_gtk_application ()
GtkApplication * | gtef_application_get_application ()
GtefActionInfoStore * | gtef_application_get_action_info_store ()

## Properties

GtkApplication * | application | Read / Write / Construct Only

## Types and Values

| GtefApplication

## Object Hierarchy

        GObject
        ╰── GtefApplication

## Includes

    #include <gtef/gtef.h>

## Description

GtefApplication extends the GtkApplication class.

GtefApplication has a GtefActionInfoStore object that can be retrieved with `gtef_application_get_action_info_store()`.

Note that GtefApplication extends the GtkApplication class but without subclassing it, because several libraries might want to extend GtkApplication and an application needs to be able to use all those extensions at the same time.

## Functions

### gtef_application_get_from_gtk_application ()

    GtefApplication *
    gtef_application_get_from_gtk_application
                                   (GtkApplication *gtk_app);

Returns the GtefApplication of `gtk_app` . The returned object is guaranteed to be the same for the lifetime of `gtk_app` .

#### Parameters

gtk_app | a GtkApplication. |

#### Returns

the GtefApplication of `gtk_app` .

[transfer none]

Since: 2.0

### gtef_application_get_application ()

    GtkApplication *
    gtef_application_get_application (GtefApplication *gtef_app);

#### Parameters

gtef_app | a GtefApplication. |

#### Returns

the GtkApplication of `gtef_app` .

[transfer none]

Since: 2.0

### gtef_application_get_action_info_store ()

    GtefActionInfoStore *
    gtef_application_get_action_info_store
                                   (GtefApplication *gtef_app);

#### Parameters

gtef_app | a GtefApplication. |

#### Returns

the GtefActionInfoStore of `gtef_app` .

[transfer none]

Since: 2.0

## Types and Values

### GtefApplication

    typedef struct _GtefApplication GtefApplication;

## Property Details

### The `“application”` property

      “application”              GtkApplication *

The GtkApplication.

Flags: Read / Write / Construct Only

Since: 2.0

## See Also

GtefActionInfoStore